
.inactiveMixin {
  content: "";
  position: absolute;
  display: block;
}

.beforeAnimation {
  transition: 0.2s cubic-bezier(0.24, 0, 0.5, 1);
}

.afterAnimation {
  box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.1), 0 4px 0px 0 rgba(0, 0, 0, 0.04), 0 4px 9px rgba(0, 0, 0, 0.13), 0 3px 3px rgba(0, 0, 0, 0.05);
  transition: 0.35s cubic-bezier(0.54, 1.6, 0.5, 1);
}

.toggleWrapper {
  display: flex;
  margin-right: 25px;
  padding: 5px;
  width: 150px;
  margin-top: 5px;
  border-radius: 5px;
  background: transparent;
  color: #fff;
}

.toggleWrapper span {
  padding: 5px;
  color: #444;
  font-size: 21px;
}

.toggleWrapper input.mobileToggle {
  opacity: 0;
  position: absolute;
}

.toggleWrapper input.mobileToggle + label {
  position: relative;
  display: inline-block;
  user-select: none;
  transition: .4s ease;
  height: 30px;
  width: 50px;
  border: 1px solid #e4e4e4;
  border-radius: 60px;
  cursor: pointer;
  margin-left: 20px;
}

.toggleWrapper input.mobileToggle + label:before {
  content: "";
  position: absolute;
  display: block;
  transition: 0.2s cubic-bezier(0.24, 0, 0.5, 1);
  height: 28px;
  width: 51px;
  top: 0;
  left: 0;
  border-radius: 30px;
}

.toggleWrapper input.mobileToggle + label:after {
  content: "";
  position: absolute;
  display: block;
  box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.1), 0 4px 0px 0 rgba(0, 0, 0, 0.04), 0 4px 9px rgba(0, 0, 0, 0.13), 0 3px 3px rgba(0, 0, 0, 0.05);
  transition: 0.35s cubic-bezier(0.54, 1.6, 0.5, 1);
  background: #f5f5f5;
  height: 28px;
  width: 28px;
  top: 0px;
  left: 0px;
  border-radius: 60px;
}

.toggleWrapper input.mobileToggle:checked + label:before {
  background: #2ecc71;
  transition: width 0.2s cubic-bezier(0, 0, 0, 0.1);
}

.toggleWrapper input.mobileToggle:checked + label:after {
  left: 24px;
}

:root {
	--darkblue: #134;
	--brown: #864;
	--lightgreen: #891;
	--olive: #873;
	--green: #693;
  --pink: #e56;
  --blue: #245;
}

* {
	margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  min-width: 320px;
  max-width: 1980px;
  width: 100%;
  margin: 0 auto;
  font-family: Roboto, sans-serif;
  border-left: 2px solid #ddd;
  border-right: 2px solid #ddd;
}

button {
  outline: none;
}

.darkblue {
	background-color: var(--darkblue);
}

.brown{
	background-color: var(--brown);
}

.lightgreen {
	background-color: var(--lightgreen);
}

.olive {
	background-color: var(--olive);
}

.green {
	background-color: var(--green);
}

.pink{
	background-color: var(--pink);
}

.blue {
	background-color: var(--blue);
}

.center {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.title, .result {
  padding-left: 28px;
  font-size: 48px;
  color: #444;
}

.result {
  display: none;
  font-weight: bold;
}

.result-image {
  width: 25%;
  min-width: 240px;
  margin: 80px 40px;
}

.mode {
  font-weight: bold;
}

.title {
  margin-top: 20px;
}

.container {
  width: 100%;
  max-width: 1480px;
  height: auto;
  min-height: 80vh;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;
  cursor: pointer;
}

.row, .gameboard-container {
  max-width: 1480px;
  height: auto;
  margin: 0 auto;
  padding-top: 20px;
}

.gameboard  {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.statsboard {
  width: 100%;
  padding: 25px;
}

.box, .card {
  width: 260px;
  height: 260px;
  margin: 20px;
  font-size: 32px;
  color: #fff;
  transition: 0.2s ease-in-out transform;
  opacity: 0.97;
}

.box:first-child {
  -webkit-animation: rotate 1s ease;
          animation: rotate 1s ease;
}

.box:hover{
  box-shadow: 0px 5px 10px #222;
  transform: rotate(1deg);
}

.box-image {
  top: 0;
  width: 100%;
  border-radius: 12px 12px 0 0;
  border-bottom: 2px solid #1114;
  overflow: hidden;
}

.box-image img {
  width: 100%;
  border-radius: 12px 12px 0 0;
  transition: 0.8s ease-in-out transform;
}

.game-box {
  transition: 0.1s all ease-in-out;
}

.game-box-image {
  top: 0;
  width: 100%;
  height: 100%;
  border-radius: 12px;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}

.game-box-image img {
  height: 100%;
  border-radius: 12px 12px 0 0;
  transition: 0.8s ease-in-out transform;
}

.box-image img:hover{
  transform: scale(1.05);
}

.box-title {
  width: 100%;
  height: 70px;
  border-radius: 0 0 12px 12px;
}

.flip-card-back .box-title {
  height: 50px;
  line-height: 20px;
  font-size: 28px;
}

.card-title {
  width: 100%;
  height: 50px;
  line-height: 20px;
  font-size: 28px;
}

.shadow {
	box-shadow: 0px 10px 20px #222;
}

.border {
	border: 2px solid #eee2;
	border-radius: 12px;
}

header {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

nav {
  width: 280px;
}

h1 {
  font-size: 48px;
  color: #444;
}

.warning {
  -webkit-animation: jolting 0.5s ease;
          animation: jolting 0.5s ease;
          border-color: #e56;
          box-shadow: 0px 15px 20px #222;

}

.game-button, .stats-button {
  padding: 10px 0;
  font-size: 22px;
  width: 160px;
  margin: 10px 2px;
  display: flex;
  justify-content: center;
  color: var(--green);
  cursor: pointer;
  transition: 0.1s all ease-in-out;
  border-radius: 25px;
  border: 2px solid gray;
}

.game-button:hover, .stats-button:hover {
  color: #eee !important;
  background-color: var(--green);
}

.disabled {
	pointer-events:none;
}

.correct {
  color: rgb(15, 252, 82)
}

.error {
  color: #999;
}

@keyframes jolting {
  0% {transform: rotate(3deg);}
  10% {transform: rotate(-3deg);}
  20% {transform: rotate(2deg);}
  30% {transform: rotate(-2deg);}
  40% {transform: rotate(2deg);}
  50% {transform: rotate(-2deg);}
  60% {transform: rotate(1deg);}
  70% {transform: rotate(-1deg);}
  80% {transform: rotate(1deg);}
  90% {transform: rotate(-1deg);}
  100% {transform: rotate(1deg);}
}

@keyframes rotate {
  0% {transform: rotate(0deg);}
  50% {transform: rotate(4deg);}
  100% {transform: rotate(0deg);}
}

table {
  width: 100%;
  text-align: center;
  background: #e4e4e488;
  -webkit-backdrop-filter: blur(24px);
  backdrop-filter: blur(24px);
}

thead {
  background-color: #693;
  text-align: center;
}

td {
  height: 30px;
  text-align: center;
}

footer {
  width: 258px;
  margin: 0 auto 10px;
}

footer  img {
  width: 50px;
  margin-left: 5px;
  margin-right: 5px;
}

footer a {
  text-decoration: none;
  color: #444;
}

footer a:hover {
  text-decoration: none;
  color: #4af;
}

.git {
  width: 20px;
}

@media screen and (max-width: 500px) {
  table {
    font-size: 12px;
  }
}

.flip-card {
  perspective: 1000px;
  border-radius: 12px;
}

.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  transition: transform 0.6s;
  transform-style: preserve-3d;
  border-radius: 12px;
}

.flip-card-front {
  display: flex;
	justify-content: space-between;
	align-items: center;
	flex-direction: column;
  cursor: pointer;
}

.flip-card-rotate .flip-card-inner {
  transform: rotateY(180deg);
}

.flip-card-reverse .flip-card-inner {
  transform: rotateY(0deg);
}

.flip-card-front, .flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.flip-card-back {
  background: linear-gradient(45deg, #2193b0, #6dd5ed);
  color: white;
  transform: rotateY(180deg);
  display: flex;
	justify-content: flex-start;
	align-items: center;
  flex-direction: column;
  visibility: hidden;
}

div.flip-button {
  width: 28px;
  height: 28px;
  border: 0;
  outline: 0;
  margin-left: 20px;
  transition: 0.4s transform ease-in-out, 0.2s opacity 0.1s;
  z-index: 2;
  background: transparent;
  cursor: pointer;
}


.flip-button img {
  width: 100%;
  height: 100%;
  transition: 0.4s transform ease-in-out;
}

.card-title:hover img {
  transform: translateX(10px);
}

.start-btn:hover, .reset:hover {
  background-color: #d45;
}

.start-btn:active, .reset:active {
  background-color: #c34;
  transform: translateY(1px);
}

#menuToggle {
  width: 45px;
  display: block;
  position: relative;
  top: 10px;
  left: 25px;
  padding: 5px;
  z-index: 1;
  -webkit-user-select: none;
  user-select: none;
}

#menuToggle input {
  display: block;
  width: 40px;
  height: 32px;
  position: absolute;
  top: -7px;
  left: -5px;
  cursor: pointer;
  opacity: 0;
  z-index: 2;
  -webkit-touch-callout: none;
}

#menuToggle span {
  display: block;
  width: 33px;
  height: 4px;
  margin-bottom: 5px;
  position: relative;
  background: #cdcdcd;
  border-radius: 3px;
  z-index: 1;
  transform-origin: 4px 0px;
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              opacity 0.55s ease;
}

#menuToggle span:first-child {
  transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2) {
  transform-origin: 0% 100%;
}

#menuToggle input:checked ~ span {
  opacity: 1;
  transform: rotate(45deg) translate(-2px, -1px);
  background: #232323;
}

#menuToggle input:checked ~ span:nth-last-child(3) {
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
}

#menuToggle input:checked ~ span:nth-last-child(2) {
  transform: rotate(-45deg) translate(0, -1px);
}

#menu {
  display: grid;
  position: absolute;
  width: 300px;
  margin: -100px 0 0 -50px;
  padding: 20px 50px;
  padding-top: 90px;
  background: #e4e4e488;
  -webkit-backdrop-filter: blur(24px);
  backdrop-filter: blur(24px);
  list-style-type: none;
  -webkit-font-smoothing: antialiased;
  transform-origin: 0% 0%;
  transform: translate(-100%, 0);
  transition: transform 0.4s cubic-bezier(0.77,0.2,0.05,1.0);
  border-radius: 12px;
  box-shadow: 0px 10px 20px #444;
}

#menu li {
  padding: 10px 0;
  font-size: 22px;
  width: 140px;
  margin: 0.5px auto;
  display: flex;
  justify-content: center;
  color: #444;
  cursor: pointer;
  transition: 0.1s color ease-in-out;
  border-radius: 20px;
}

#menu li:hover {
  color: #fff !important;
}

#menuToggle input:checked ~ ul {
  transform: none;
}

.item-menu {
  border: 1px solid gray;
}

.item-menu:hover {
  border: 1px dotted olivedrab;
}

